Changes

Jump to navigation Jump to search
Line 24: Line 24:  
If you instead installed Octave from the .zip archive, you need to first rebuild the package list on your local machine. (The command above will produce a blank output and packages will be inaccessible before rebuilding.) Do this by typing the following command:
 
If you instead installed Octave from the .zip archive, you need to first rebuild the package list on your local machine. (The command above will produce a blank output and packages will be inaccessible before rebuilding.) Do this by typing the following command:
   −
  >> pkg rebuild
+
  >> pkg rebuild
   −
''A bug in the Windows builds currently prevents Octave from automatically retrieving packages from the website for installation or updates. This will be fixed in the next Octave release. Until then, manual package installation is necessary to update or install new packages on Windows.''
+
Packages can be updated by running
 +
 
 +
  >> pkg update
 +
 
 +
Other packages can be installed by running
 +
 
 +
  >> pkg install -forge <package name>
    
To manually install a new or updated package version, the package file can be downloaded from the [https://octave.sourceforge.io/packages.php Octave-Forge website]to the working directory and can be installed using:
 
To manually install a new or updated package version, the package file can be downloaded from the [https://octave.sourceforge.io/packages.php Octave-Forge website]to the working directory and can be installed using:
Line 32: Line 38:  
   >> pkg install package_file_name.tar.gz
 
   >> pkg install package_file_name.tar.gz
   −
Detailed instruction of installing Octave-Forge packages is shown at [http://wiki.octave.org/Octave-Forge Octave-Forge]
+
For detailed instruction of installing Octave-Forge packages is shown at [http://wiki.octave.org/Octave-Forge Octave-Forge]
 +
 
 +
 
 +
''Note that a bug in the Windows builds currently prevents Octave from automatically retrieving packages from the website for installation or updates when running under Windows XP. Manual package installation is necessary to update or install new packages on for this Operating System.''
    
== Octave 4.2.1 on cygwin==
 
== Octave 4.2.1 on cygwin==
64

edits

Navigation menu